Subject: Re: [Mip6] Multihomed Mobile Nodes

From: Thierry Ernst <[email-masked]>
Date: Tue, 4 Nov 2003 16:50:33 +0900

Dear all,

Just being curious, who has read the Multihoming Problem Statement draft ? http://www.ietf.org/internet-drafts/draft-montavont-mobileip-multihoming-pb-statement-00.txt

Comments as directed below or of any other kind are welcome.

Thierry.

Thierry Ernst <[email-masked]> wrote:
> Dear all,
> 
> As you know there have been a number of drafts dealing around the issues
> of multihomed mobile nodes, including
> draft-montavont-mobileip-multihoming-pb-statement-00.txt 
> 
> 
> The intend of the draft is to list the cases where a MN is multihomed,
> and the issues that must be addressed at large to allow this
> configuration. So, the real intend is to investigate what are the issues
> peculiar to MIPv6, and other issues not peculiar to MIPv6. I guess that
> there is no other group in a better position than MIPv6 to understand
> the issues peculiar to MIP6. May be the solutions can be divised in
> other WGs, but a prior work for this is for the MIP6 group to give
> comments.
> 
> In order to introduce the discussion, may I ask the following questions
> to the list (including authors of the other drafts):
> 
> - if people agree with the definition of multihoming ?
> - is there any case (the one you the most concerned about) which is not
>   covered by the definition ?
> - if people agree with the issues ?
> - what are the missing issues we need to consider ?
> - where should the issues be solved ?
> 
> 
> Get the draft here: http://clarinet.u-strasbg.fr/~montavont/
> 
> Abstract:
> ~~~~~~~~~
> Individual solutions have been proposed to extend Mobile IPv6 in  
> order to allow mobile nodes to be multihomed, but all issues have not
> been addressed by a single document. In this document, we thus propose a
> taxonomy to classify the situations where a mobile node may be
> multihomed. This taxonomy is then used to describe all multihomed
> scenarios. Issues preventing mobile nodes to be multihomed while
> operating Mobile IPv6 are highlighted. This document doesn't aim at
> proposing solutions, however, it is expected to raise discussion in
> order to make sure forthcoming solutions will address all the issues.
> 
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip6

---

From: "Koojana Kuladinithi" <[email-masked]>
Date: Tue, 4 Nov 2003 14:40:11 +0100

Hi Thierry & all,

Pl, find following comments on the
draft-montavont-mobileip-multihoming-pb-statement-00.txt,

For case, (1,n,n) or (n,n,n), there can be two cases, 

	1. As you defined in section 4.3 or
	2. None of interfaces are at home network

Can you describe a case 2 as well(May be as a separate section)? 
Is there anyway to indicate case 2 according to your classification?
I guess (0,n,n) won't make sense since it indicates that there is no home
address allocated ?

Kind regards
Koojana

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]] Im Auftrag von
> Thierry Ernst
> Gesendet: Dienstag, 4. November 2003 08:51
> An: [email-masked]
> Betreff: Re: [Mip6] Multihomed Mobile Nodes
> 
> 
> Dear all,
> 
> Just being curious, who has read the Multihoming Problem Statement draft ?
> http://www.ietf.org/internet-drafts/draft-montavont-mobileip-multihoming-
> pb-statement-00.txt
>

---

From: Thierry Ernst <[email-masked]>
Date: Sun, 9 Nov 2003 23:41:35 +0900

Dear Koojana,

Thanks for the reading and the question. So far, we missed to answer the
question, so here is my answer.

On Tue, 4 Nov 2003 14:40:11 +0100

> Is there anyway to indicate case 2 according to your classification?

As said in section 4.2 case 4.  

"Several HoAs, several CoAs, several interfaces (n,n,n)", we only listed
one example.  So, if the MNs has several interfaces, each one is
associated to a distinct home agent (i.e. several HoAs) and each one
connected to a disctinct visited link (i.e. distinct CoAs) you end up in
case (n,n,n).

Do you think it's important to describe this particular case in the
document ? Will this example bring something to the reader ?

> I guess (0,n,n) won't make sense since it indicates that there is no home

Well, this is a "homeless multihomed MN", but still true that the MN is
multihomed. The remark is interesting. Since the intend of this document
is not only to point out MIPv6 deficiencies, but general deficiencies in
supporting multihomed mobile nodes, this case may deserve interest. 

Is this a case that you are personally considering ?

Cherrs,
Thierry